Bug 186616 - e2label to report labels from swap partitions
Summary: e2label to report labels from swap partitions
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-24 19:08 UTC by Kelly Carmichael
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-25 10:58:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kelly Carmichael 2006-03-24 19:08:24 UTC
Description of problem:

missing utility to query swap partition label 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. make a swap partition with parameter -L swap
2. now try to find the label of that swap partition without having to mkswap again
3.
  
Actual results:

not able to retrieve the label from a swap partition.
mkswap will replace the label but no utility is available to fetch the label.

Expected results:

e2label should be able to identify that the partition is a swap partition, or
another util should be written to read the label from a swap partition.


Additional info:

Comment 1 Karel Zak 2006-03-25 10:58:32 UTC
Please, see "man blkid(8)". The e2label util works with ext2/ext3 filesystem only.

# blkid /dev/hda3
/dev/hda3: TYPE="swap" LABEL="SWAP-hda3"


Note You need to log in before you can comment on or make changes to this bug.